events.listen('recipes', function (event) {

  //Minecraft
  event.shaped(item.of('minecraft:bookshelf', 1), [
    'AAA',
    'BBB',
    'AAA'
  ], {
    A: '#minecraft:planks',
    B: 'minecraft:book'
  })
  event.shaped(item.of('minecraft:chest', 1), [
    'AAA',
    'A A',
    'AAA'
  ], {
    A: '#minecraft:planks'
  })
  event.shaped(item.of('minecraft:chainmail_helmet', 1), [
    'AAA',
    'A A'
  ], {
    A: 'forbidden_arcanus:iron_chain'
  })
  event.shaped(item.of('minecraft:chainmail_chestplate', 1), [
    'A A',
    'AAA',
    'AAA'
  ], {
    A: 'forbidden_arcanus:iron_chain'
  })
  event.shaped(item.of('minecraft:chainmail_leggings', 1), [
    'AAA',
    'A A',
    'A A'
  ], {
    A: 'forbidden_arcanus:iron_chain'
  })
  event.shaped(item.of('minecraft:chainmail_boots', 1), [
    'A A',
    'A A'
  ], {
    A: 'forbidden_arcanus:iron_chain'
  })
  event.shaped(item.of('minecraft:chainmail_helmet', 1), [
    'AAA',
    'A A'
  ], {
    A: 'minecraft:chain'
  })
  event.shaped(item.of('minecraft:chainmail_chestplate', 1), [
    'A A',
    'AAA',
    'AAA'
  ], {
    A: 'minecraft:chain'
  })
  event.shaped(item.of('minecraft:chainmail_leggings', 1), [
    'AAA',
    'A A',
    'A A'
  ], {
    A: 'minecraft:chain'
  })
  event.shaped(item.of('minecraft:chainmail_boots', 1), [
    'A A',
    'A A'
  ], {
    A: 'minecraft:chain'
  })


//Dragonsteel Armor Ice
event.shaped(item.of('iceandfire:dragonsteel_ice_helmet', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_ice_ingot',
    B: 'enigmaticlegacy:etherium_helmet'

  })
event.shaped(item.of('iceandfire:dragonsteel_ice_chestplate', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_ice_ingot',
    B: 'enigmaticlegacy:etherium_chestplate'

  })
event.shaped(item.of('iceandfire:dragonsteel_ice_leggings', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_ice_ingot',
    B: 'enigmaticlegacy:etherium_leggings'

  })
event.shaped(item.of('iceandfire:dragonsteel_ice_boots', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_ice_ingot',
    B: 'enigmaticlegacy:etherium_boots'

  })

//Dragonsteel Armor Fire
event.shaped(item.of('iceandfire:dragonsteel_fire_helmet', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_fire_ingot',
    B: 'enigmaticlegacy:etherium_helmet'

  })
event.shaped(item.of('iceandfire:dragonsteel_fire_chestplate', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_fire_ingot',
    B: 'enigmaticlegacy:etherium_chestplate'

  })
event.shaped(item.of('iceandfire:dragonsteel_fire_leggings', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_fire_ingot',
    B: 'enigmaticlegacy:etherium_leggings'

  })
event.shaped(item.of('iceandfire:dragonsteel_fire_boots', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_fire_ingot',
    B: 'enigmaticlegacy:etherium_boots'

  })



//Dragonsteel Armor Lightning
event.shaped(item.of('iceandfire:dragonsteel_lightning_helmet', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_lightning_ingot',
    B: 'enigmaticlegacy:etherium_helmet'

  })
event.shaped(item.of('iceandfire:dragonsteel_lightning_chestplate', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_lightning_ingot',
    B: 'enigmaticlegacy:etherium_chestplate'

  })
event.shaped(item.of('iceandfire:dragonsteel_lightning_leggings', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_lightning_ingot',
    B: 'enigmaticlegacy:etherium_leggings'

  })
event.shaped(item.of('iceandfire:dragonsteel_lightning_boots', 1), [
    'AAA',
    'ABA',
  ], {
    A: 'iceandfire:dragonsteel_lightning_ingot',
    B: 'enigmaticlegacy:etherium_boots'

  })



//Dragonforge Ice
 event.shaped(item.of('iceandfire:dragonforge_ice_input', 1), [
    'ABA',
    'BCB',
    'ABA',
  ], {
    A: 'iceandfire:dragonforge_ice_brick',
    B: 'minecraft:iron_ingot',
    C: 'enigmaticlegacy:etherium_ingot'
  })


//Dragonforge Fire
 event.shaped(item.of('iceandfire:dragonforge_fire_input', 1), [
    'ABA',
    'BCB',
    'ABA',
  ], {
    A: 'iceandfire:dragonforge_fire_brick',
    B: 'minecraft:iron_ingot',
    C: 'enigmaticlegacy:etherium_ingot'
  })


//Dragonforge Lightning
 event.shaped(item.of('iceandfire:dragonforge_fire_input', 1), [
    'ABA',
    'BCB',
    'ABA',
  ], {
    A: 'iceandfire:dragonforge_fire_brick',
     B: 'minecraft:iron_ingot',
    C: 'enigmaticlegacy:etherium_ingot'
  })



//Sophisticated Backpack
 event.shaped(item.of('sophisticatedbackpacks:backpack', 1), [
    'ACA',
    'BDB',
    'AAA',
  ], {
    A: '#forge:leather',
    B: 'quark:ravager_hide',
    C: 'minecraft:string',
    D: 'quark:backpack'
  })

event.shaped(item.of('sophisticatedbackpacks:upgrade_base', 1), [
    'CAC',
    'ABA',
    'CAC',
  ], {
    A: '#forge:ingots/iron',
    B: 'quark:ravager_hide',
    C: 'minecraft:string'
  })


//Ender Rod
event.shaped(item.of('enigmaticlegacy:ender_rod', 1), [
    ' BC',
    'BAB',
    'CB ',
  ], {
    A: '#forge:rods/blaze',
    B: '#forge:dusts/ender_pearl',
    C: 'omni:malachite_shard',
  })


//Astral Dust
event.shaped(item.of('enigmaticlegacy:astral_dust', 4), [
    'CBC',
    'BAB',
    'CBC',
  ], {
    A: 'meetyourfight:phantoplasm',
    B: '#forge:dusts/enderium',
    C: 'minecraft:blaze_powder'
  })


//Atomic Disassembler

event.shaped(item.of('supplementaries:cog_block', 1), [
    'CBC',
    'BAB',
    'CBC',
  ], {
    A: 'thermal:signalum_gear',
    B: '#forge:ingots/copper',
    C: '#forge:plates/copper'
  })


//Atomic Disassembler

event.shaped(item.of('mekanism:atomic_disassembler', 1), [
    'EAE',
    'CBC',
    ' D ',
  ], {
    A: 'mekanism:energy_tablet',
    B: 'mekanism:alloy_atomic',
    C: 'mekanism:alloy_infused',
    D: 'mekanism:ingot_refined_obsidian',
    E: 'enigmaticlegacy:etherium_ingot'

  })


//Mekanism Energy Tablet

event.shaped(item.of('mekanism:energy_tablet', 1), [
    'ABA',
    'CBC',
    'ADA',
  ], {
    A: '#forge:ingots/steel',
    B: 'quark:biotite',
    C: 'mekanism:alloy_infused',
    D: 'minecraft:gold_ingot'
  })


//Etherium Ore

event.shaped(item.of('enigmaticlegacy:etherium_ore', 2), [
    ' AB',
    'ACA',
    'BA ',
  ], {
    A: 'enigmaticlegacy:astral_dust',
    B: 'minecraft:end_stone',
    C: 'betterendforge:aeternium_ingot'

  })

//Blazerite

event.shaped(item.of('upgradednetherite:fire_upgraded_netherite_ingot', 1), [
    'BAB',
    ' B '
  ], {
    A: 'minecraft:netherite_ingot',
    B: 'blazegear:brimsteel_ingot'
  })

//Angel Ring

event.shaped(item.of('angelring:itemring', 1), [
    'EDE',
    'ABA',
    'DCD'
  ], {
    A: 'xreliquary:angelic_feather',
    B: 'angelring:itemdiamondring',
    C: 'botania:flight_tiara',
    D: 'botania:pixie_dust',
    E: 'forbidden_arcanus:golden_feather'
  })

//ToLaserBlade

  event.shaped(item.of('tolaserblade:lb_casing', 1), [
    'ABA',
    'ABA',
    'ABA'
  ], {
    A: 'refinedstorage:quartz_enriched_iron',
    B: 'mekanism:ingot_steel'
  })


  event.shaped(item.of('tolaserblade:lb_emitter', 1), [
   'ADE',
   'CBC',
   'CCC'
  ], {
    A: 'outer_end:cobalt_crystal_shard',
    B: 'biomesoplenty:nether_crystal',
    C: 'refinedstorage:quartz_enriched_iron',
    D: 'outer_end:rose_crystal_shard',
    E: 'outer_end:mint_crystal_shard'

  })

  event.shaped(item.of('tolaserblade:lb_medium', 1), [
    'DCD',
    'BAB',
    'BBB'
  ], {
    A: 'thermal:rf_coil',
    B: '#forge:ingots/brass',
    C: 'mekanism:enriched_redstone',
    D: 'minecraft:diamond'
  })

   event.shaped(item.of('tolaserblade:lb_battery', 1), [
    'CCC',
    'BDB',
    'ABA'
  ], {
    A: 'thermal:rf_coil',
    B: 'refinedstorage:quartz_enriched_iron',
    C: 'mekanism:enriched_redstone',
    D: 'mekanism:energy_tablet'
  })

  event.shaped(item.of('tolaserblade:lb_brand_new_1', 1), [
  ' A ',
  ' CB',
  ' DE'
  ], { 
    A: 'tolaserblade:lb_emitter',
    B: 'tolaserblade:lb_medium',
    C: 'tolaserblade:lb_battery',
    D: 'tolaserblade:lb_casing',
    E: 'minecraft:iron_ingot'
  })

event.shaped(item.of('tolaserblade:lb_brand_new_2', 1), [
   ' A ',
   ' BC',
   ' DE'
  ], { 
    A: 'tolaserblade:lb_emitter',
    B: 'tolaserblade:lb_medium',
    C: 'tolaserblade:lb_battery',
    D: 'tolaserblade:lb_casing',
    E: 'minecraft:glowstone'
  })

//Farmer's Delight Straw
event.shaped(item.of('farmersdelight:straw', 2), [
    'A'
  ], {
    A: 'foragecraft:straw'
  })


//Quark Bamboo
event.shaped(item.of('quark:bamboo_block', 1), [
    'A'
  ], {
    A: 'thermal:bamboo_block'
  })


//COFHEctoplasm

event.shaped(item.of('cofh_core:ectoplasm', 1), [
    'A'
  ], {
    A: 'iceandfire:ectoplasm'
  })


  //ObsidianSkull

event.shaped(item.of('minecraft:skeleton_skull', 1), [
    'A'
  ], {
    A: 'forbidden_arcanus:skull'
  })

event.shaped(item.of('forbidden_arcanus:skull', 1), [
    'A'
  ], {
    A: 'minecraft:skeleton_skull'
  })

event.shaped(item.of('artifacts:obsidian_skull', 1), [
   ' B ',
   'BAB',
   ' B '
  ], {
    A: 'forbidden_arcanus:skull',
    B: 'forbidden_arcanus:obsidian_ingot'
  })

  event.shaped(item.of('forbidden_arcanus:obsidian_skull', 1), [
    'ABA',
    'BCB',
    'ABA'
  ], {
    A: 'mekanism:ingot_refined_obsidian',
    B: 'bloodmagic:lavacrystal',
    C: 'artifacts:obsidian_skull'
  })
})
